import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Font;
public class HPbar extends Actor
{
    GreenfootImage gambarHP = new GreenfootImage(600,400);
    boolean battle = false;
    public static int score=0;
    public static int reset=0;
    PokemonPlayer pokemon =null;
    PokemonLiar liar = null;
    Coba coba=null;
    public void act() 
    {
        if (battle == false)
        {
            hpBar();
        }
    }
    
    public void hpBar()
    {
        if (pokemon == null)
        {
            pokemon = (PokemonPlayer)(getWorld().getObjectsAt(142,360,PokemonPlayer.class)).get(0);
        }
        if (liar == null)
        {
            liar = (PokemonLiar)(getWorld().getObjectsAt(450,222,PokemonLiar.class)).get(0);
        }
        gambarHP.setColor(Color.GRAY);
        gambarHP.fillRect(50, 185, 230, 30);
        setImage(gambarHP);

        gambarHP.setColor(Color.WHITE);
        gambarHP.fillRect(52, 187, 226, 26);

        gambarHP.setColor(Color.BLACK);
        gambarHP.drawRect(54, 189, 151, 10);
        gambarHP.setFont(new Font("Helvetica", Font.PLAIN, 10));
        gambarHP.drawString("HP:", 55, 209);
        gambarHP.drawString("100", 75, 209);
        gambarHP.drawString("/100", 94, 209);
        
        if(pokemon.nama.equals("Fennekin"))
        {
            gambarHP.drawString("Fennekin", 210, 196);
            gambarHP.setColor(Color.RED);
            gambarHP.drawString("Fire", 129, 209);
        } else if(pokemon.nama.equals("Chespin"))
        {
            gambarHP.drawString("Chespin", 210, 196);
            gambarHP.setColor(new Color(9, 107, 45));
            gambarHP.drawString("Grass", 129, 209);
        } else if(pokemon.nama.equals("Froakie"))
        {
            gambarHP.drawString("Froakie", 210, 196);
            gambarHP.setColor(Color.BLUE);
            gambarHP.drawString("Water", 129, 209);
        } 
         
        gambarHP.setColor(Color.GREEN);
        gambarHP.fillRect(55, 190, 150, 9);
        //HP Musuh
        gambarHP.setColor(Color.GRAY);
        gambarHP.fillRect(360, 30, 230, 30);

        gambarHP.setColor(Color.WHITE);
        gambarHP.fillRect(362, 32, 226, 26);

        gambarHP.setColor(Color.BLACK);
        gambarHP.drawRect(364, 34, 151, 10);

        gambarHP.setFont(new Font("Helvetica", Font.PLAIN, 10));
        gambarHP.drawString("HP:", 365, 55);
        gambarHP.drawString("130", 385, 55);
        gambarHP.drawString("/130", 405, 55);
        if(liar.nama.equals("Pidgey"))
        {
            gambarHP.drawString("Pidgey", 525, 40);
            gambarHP.setColor(Color.RED);
            gambarHP.drawString("Normal/Flying", 450, 55);
        } else if(liar.nama.equals("Rattata"))
        {
            gambarHP.drawString("Rattata", 525, 40);
            gambarHP.setColor(new Color(9, 107, 45));
            gambarHP.drawString("Normal", 450, 55);
        } 

           gambarHP.setColor(Color.GREEN);
           gambarHP.fillRect(365, 35, 150, 9);
        battle = true;
    }
    
    public void HPkurang(int damage)
    {
         if (pokemon == null)
        {
            pokemon = (PokemonPlayer)(getWorld().getObjectsAt(142,360,PokemonPlayer.class)).get(0);
        }
        if (liar == null)
        {
            liar = (PokemonLiar)(getWorld().getObjectsAt(450,222,PokemonLiar.class)).get(0);
        }
        gambarHP.setColor(Color.GRAY);
        gambarHP.fillRect(50, 185, 230, 30);
        setImage(gambarHP);

        gambarHP.setColor(Color.WHITE);
        gambarHP.fillRect(52, 187, 226, 26);

        gambarHP.setColor(Color.BLACK);
        gambarHP.drawRect(54, 189, 151, 10);
        gambarHP.setFont(new Font("Helvetica", Font.PLAIN, 10));
        gambarHP.drawString("HP:", 55, 209);
        gambarHP.drawString(""+damage, 75, 209);
        gambarHP.drawString("/100", 94, 209);
        
        if(pokemon.nama.equals("Fennekin"))
        {
            gambarHP.drawString("Fennekin", 210, 196);
            gambarHP.setColor(Color.RED);
            gambarHP.drawString("Fire", 129, 209);
        } else if(pokemon.nama.equals("Chespin"))
        {
            gambarHP.drawString("Chespin", 210, 196);
            gambarHP.setColor(new Color(9, 107, 45));
            gambarHP.drawString("Grass", 129, 209);
        } else if(pokemon.nama.equals("Froakie"))
        {
            gambarHP.drawString("Froakie", 210, 196);
            gambarHP.setColor(Color.BLUE);
            gambarHP.drawString("Water", 129, 209);
        }  
        gambarHP.setColor(Color.GREEN);
        gambarHP.fillRect(55, 190, damage, 9);
        if (damage <= 0)
           {
            getWorld().removeObject(pokemon);
            Greenfoot.setWorld(new GameOver());
           }
    }
    
    public void liarHPkurang(int damage)
    {
        gambarHP.setColor(Color.GRAY);
        gambarHP.fillRect(360, 30, 230, 30);

        gambarHP.setColor(Color.WHITE);
        gambarHP.fillRect(362, 32, 226, 26);

        gambarHP.setColor(Color.BLACK);
        gambarHP.drawRect(364, 34, 151, 10);

        gambarHP.setFont(new Font("Helvetica", Font.PLAIN, 10));
        gambarHP.drawString("HP:", 365, 55);
        gambarHP.drawString(""+damage, 385, 55);
        gambarHP.drawString("/130", 405, 55);
        if(liar.nama.equals("Pidgey"))
        {
            gambarHP.drawString("Pidgey", 525, 40);
            gambarHP.setColor(Color.GRAY);
            gambarHP.drawString("Normal/Flying", 450, 55);
        } else if(liar.nama.equals("Rattata"))
        {
            gambarHP.drawString("Rattata", 525, 40);
            gambarHP.setColor(Color.GRAY);
            gambarHP.drawString("Normal", 450, 55);
        } 
        gambarHP.setColor(Color.GREEN);
        gambarHP.fillRect(365, 35, damage, 9);
        score=score+10;
        if (damage <= 0)
           {
            getWorld().removeObject(liar);
            getWorld().showText(""+score,50,20);
            Greenfoot.setWorld(new Field());
           }
           
    }
    public static int getReset()
    {
        return reset;
    }
    public static int getScore()
    {
        return score;
    }
}