import greenfoot.*;// (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Font;
public class Serangan extends Actor
{
    GreenfootImage gambar;
    String[] serangFennekin = {"Tackle", "Ember"};
    String[] serangFroakie = {"Tackle", "Water Gun"};
    String[] serangChespin = {"Tackle", "Razor Leaf"};
    String[] serangPidgey = {"Tackle"};
    String[] serangRattata = {"Tackle"};
    boolean buatselect = false;
    int p=0;
    int q=0;
    PokemonPlayer pokemon = null;
    PokemonLiar liar = null;
    WaterGun watergun = null;
    Ember ember = null;
    RazorLeaf leaf = null;
    public Serangan()
    {
        gambar = new GreenfootImage(600,400);
    }
    
    public void act() 
    {
        if (buatselect == false)
        {
            selectSerangan();        
        }
        selector();
    } 
      
    public void selectSerangan()
    {
        String[] serangan = null;
        gambar.setColor(Color.GREEN);
        gambar.fillRect(320, 200, 250, 70);
        setImage(gambar);
        if (pokemon == null)
        {
            pokemon = (PokemonPlayer)(getWorld().getObjectsAt(142,360,PokemonPlayer.class)).get(0);
        }
        if (serangan == null)
        {
            gambar.setFont(new Font("Helvetica", Font.PLAIN, 15));
            gambar.setColor(java.awt.Color.BLACK);
            if(pokemon.nama.equals("Froakie"))
            {
                serangan = serangFroakie;
            }
            if(pokemon.nama.equals("Fennekin"))
            {
                serangan = serangFennekin;
            }
            if(pokemon.nama.equals("Chespin"))
            {
                serangan = serangChespin;
            }
        
            for (int i = 0; i < serangan.length; i++)
            {
                 if(i == 0)
                    {
                        gambar.drawString(serangan[i], 360, 240);
                    } else if(i == 1)
                    {
                        gambar.drawString(serangan[i], 480, 240);
                    }
            }
        }
        buatselect = true;
    }
    
    public void selector()
    {
        gambar.setColor(java.awt.Color.BLACK);
        String key = Greenfoot.getKey();
        if( p == 0 && q == 0)
        {
            gambar.drawRect(335, 220, 100, 25);
        }
        if(key != null)
        {
            if(key.equals("right") && q < 1)
            {
                q++;
                selectSerangan();
                gambar.drawRect(120*q+335, 70*p+220, 100, 25);

            }
            else if (key.equals("left") && q > 0)
            {
                q--;
                selectSerangan();
                gambar.drawRect(120*q+335, 70*p+220, 100, 25);
            }
            if (key.equals("enter"))
            {
                   if (p==0 && q==0)
                    {
                      pokemon.tackleMove();
                    }
                    if(pokemon.nama.equals("Froakie"))
                    {
                        if(p==0 && q==1)
                        {
                            watergun = new WaterGun();
                            getWorld().addObject(watergun,142,330);
                            watergun.attack();
                        }
                    }
                    else if(pokemon.nama.equals("Fennekin"))
                    {
                        if(p==0 && q==1)
                        {
                            ember = new Ember();
                            getWorld().addObject(ember,142,330);
                            ember.attack();
                        }
                    }
                    else if(pokemon.nama.equals("Chespin"))
                    {
                        if(p==0 & q==1)
                        {
                            leaf = new RazorLeaf();
                            getWorld().addObject(leaf,142,330);
                            leaf.attack();
                        }
                   }   
            }
        }
    }
}